Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
branch: master
Fetching contributors…

Cannot retrieve contributors at this time

file 30 lines (25 sloc) 1.198 kb
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30
# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)
require "jenkins/plugin/version"

Gem::Specification.new do |s|
  s.name = "jenkins-plugin"
  s.version = Jenkins::Plugin::VERSION
  s.platform = Gem::Platform::RUBY
  s.authors = ["Charles Lowell"]
  s.email = ["cowboyd@thefrontside.net"]
  s.homepage = "http://github.com/cowboyd/jenkins-plugin"
  s.summary = %q{Tools for creating and building Jenkins Ruby plugins}
  s.description = %q{Allows you to generate a new Ruby plugin project, build it, test it in Jenkins and release it to the Jenkins Update Center.}

  s.rubyforge_project = "jenkins-plugin"

  s.files = `git ls-files`.split("\n")
  s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.require_paths = ["lib"]

  s.add_dependency "rubyzip"
  s.add_dependency "thor"
  s.add_dependency "jenkins-war", ">= 1.427"
  s.add_dependency "bundler", "~> 1.1.rc"
  s.add_dependency "jenkins-plugin-runtime", "~> 0.1.13"

  s.add_development_dependency "rspec", "~> 2.0"
  s.add_development_dependency "cucumber", "~> 1.0"
end
Something went wrong with that request. Please try again.